# whatsapp-web.js 1.2.1-post » Class: Contact

## Properties

id
isBusiness
isEnterprise
isGroup

isMe
isMyContact
isUser
isWAContact

name
number
pushname
shortName

## Method

getProfilePicUrl()

## new Contact()

Extends
  Base

## Properties

### id object

ID that represents the contact

### isBusiness boolean

Indicates if the contact is a business contact

### isEnterprise boolean

Indicates if the contact is an enterprise contact

### isGroup boolean

Indicates if the contact is a group contact

### isMe boolean

Indicates if the contact is the current user's contact

### isMyContact boolean

Indicates if the number is saved in the current phone's contacts

### isUser boolean

Indicates if the contact is a user contact

### isWAContact boolean

Indicates if the number is registered on WhatsApp

### name nullable string

The contact's name, as saved by the current user

### number string

Contact's phone number

### pushname string

The name that the contact has configured to be shown publically

### shortName nullable string

A shortened version of name

## Method

async

### getProfilePicUrl() → Promise containing string

Returns the contact's profile picture URL, if privacy settings allow it

Returns

  `Promise containing string`